#!/bin/sh

# Check ssd state
alias ssd-check="sudo smartctl -a /dev/nvme0n1 | grep -E -- 'Data Units Read:|Data Units Written:|Percentage Used:'"

# Add colors to regular commands
alias grep='grep --color=auto'
alias cp='cp -iv'
alias rm='rm -iv'
alias mkd='mkdir -pv'
alias less='less -R'

# neovim
alias vi='nvim'
# nnn
alias nnn='LC_COLLATE="C" nnn -xeaiH'

# Human readable + better output
alias df='df -h -x devtmpfs -x tmpfs -x usbfs -x loop'
alias free='free -mht'

# nicer ps
alias ps='ps auxf'

# continue download by default
alias wget='wget -c'

# Just cause I can't remember the command at all
alias update-grub='sudo grub-mkconfig -o /boot/grub/grub.cfg'

# Quickly see the hogger in the directory
alias dust='du -hd1 | sort -hr | sed "s/.\///g" | sed "/\.$/d"'

alias b='buku -p'

# cryptography
alias rot13="tr 'A-Za-z' 'N-ZA-Mn-za-m'"

# exa aliases
alias ls="eza --icons=always --group-directories-first --git"
alias la="ls -a"
alias ll="ls -lg"
alias lla="ll -a"

# aria2c
alias dl="aria2c -x 16 -j 16"

# todo.xtx
alias td='todo.sh'
